---
- name: Provision FreeIPA
  hosts: ipa
  gather_facts: no
  vars_files:
    - ./creds.yml
  vars:
    role_id: 
    secret_id:
  vars:
    # vCenter Config
    vcenter_hostname: 192.168.10.100 
    vcenter_username: "{{ vc_username }}"
    vcenter_password: "{{ vc_password }}"
    datacenter: lab
    esxi_hostname: 192.168.10.105
    # VM Config
    vm_name: ipa1.idm.newyorkcyber.dev
    hostname: ipa1
    ip: 192.168.30.5
    netmask: 255.255.255.0
    gateway: 192.168.30.1
    nic: SERVER
    dns_servers:
      - 8.8.8.8
    dns_suffix: idm.newyorkcyber.dev
    guest_domain: idm.newyorkcyber.dev
    hardware:
      memory_mb: "{{ 1024 * 4 }}"
      num_cpus: 2
      num_cpu_cores_per_socket: 2
    template: en_centos_server_9_amd64
    datastore: store0
    guest_id: centos8_64Guest
  tasks:
    - name:  Clone a virtual machine from Linux template and customize
      community.vmware.vmware_guest:
        hostname: "{{ vcenter_hostname }}"
        username: "{{ vcenter_username }}"
        password: "{{ vcenter_password }}"
        esxi_hostname: "{{ esxi_hostname }}"
        datacenter: "{{ datacenter }}"
        state: present
        folder: "/{{ datacenter }}/vm/Managed"
        template: "{{ template }}"
        name: "{{ vm_name }}"
        guest_id: "{{ guest_id }}"
        hardware: "{{ hardware }}"
        disk:
          - unit_number: 0
            controller_number: 0
            controller_type: 'paravirtual'
            datastore: "{{ datastore }}"
            size_gb: 20
            type: thin
        networks:
          - name: "{{ nic }}"
            type: static
            ip: "{{ ip }}"
            netmask: "{{ netmask }}"
            gateway: "{{ gateway }}"
            dns_servers: "{{ dns_servers }}"
            start_connected: true
        customization:
          hostname: "{{ hostname }}"
          domain: "{{ guest_domain }}"
          dns_servers: "{{ dns_servers }}"
          dns_suffix: "{{ dns_suffix }}"
        validate_certs: false
        wait_for_ip_address: true
        wait_for_customization: true
      delegate_to: localhost

    - ping:

